libzypp 17.37.10

stompframestream.h File Reference
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/core/String>`
`#include <zypp-core/zyppng/base/Signals>`
`#include <zypp-core/zyppng/base/Timer>`
`#include <zypp-core/zyppng/io/IODevice>`
`#include <zypp-core/zyppng/pipelines/expected.h>`
`#include <zypp-core/rpc/PluginFrame.h>`
`#include <deque>`
`#include <optional>`

Go to the source code of this file.

## Classes
class | zyppng::InvalidMessageReceivedException
class | zyppng::StompFrameStream

## Namespaces
namespace | zyppng
namespace | zyppng::rpc

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (StompFrameStream)
template<typename T>
expected< zypp::PluginFrame > | zyppng::rpc::toStompMessage (const T &msg)
template<typename T>
expected< T > | zyppng::rpc::fromStompMessage (const zypp::PluginFrame &message)
template<typename T>
void | zyppng::rpc::parseDataIntoField (const std::string &headerVal, T &target)
template<typename T>
void | zyppng::rpc::parseHeaderIntoField (const zypp::PluginFrame &msg, const std::string &name, T &target)
template<typename T>
zypp::PluginFrame | zyppng::rpc::prepareFrame ()